LibreOffice LibreOffice 6.1 SDK API Reference

Public Member Functions | List of all members
XCloseSessionListener Interface Referencepublished

Listener for closing of the corresponding session. More...

`import"XCloseSessionListener.idl";`

Inheritance diagram for XCloseSessionListener:

## Public Member Functions
void | sessionClosed ([in] any sessionData)
| Notifies a closesession listener that the corresponding session was logged out. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Listener for closing of the corresponding session.

## Member Function Documentation

## ◆ sessionClosed()

void sessionClosed | ( | [in] any | sessionData | ) |

Notifies a closesession listener that the corresponding session was logged out.

Parameters

  sessionData | [in]: the data identifying the session that was closed

The documentation for this interface was generated from the following file:

- com/sun/star/mozilla/XCloseSessionListener.idl